[arch-commits] Commit in plan9port/repos/community-x86_64 (10 files)
Alexander Rødseth
arodseth at archlinux.org
Tue Sep 24 08:37:46 UTC 2019
Date: Tuesday, September 24, 2019 @ 08:37:46
Author: arodseth
Revision: 511623
archrelease: copy trunk to community-x86_64
Added:
plan9port/repos/community-x86_64/PKGBUILD
(from rev 511622, plan9port/trunk/PKGBUILD)
plan9port/repos/community-x86_64/acme.png
(from rev 511622, plan9port/trunk/acme.png)
plan9port/repos/community-x86_64/acme.sh
(from rev 511622, plan9port/trunk/acme.sh)
plan9port/repos/community-x86_64/plan9.install
(from rev 511622, plan9port/trunk/plan9.install)
plan9port/repos/community-x86_64/plan9.sh
(from rev 511622, plan9port/trunk/plan9.sh)
Deleted:
plan9port/repos/community-x86_64/PKGBUILD
plan9port/repos/community-x86_64/acme.png
plan9port/repos/community-x86_64/acme.sh
plan9port/repos/community-x86_64/plan9.install
plan9port/repos/community-x86_64/plan9.sh
---------------+
PKGBUILD | 194 ++++++++++++++++++++++++++++----------------------------
acme.sh | 6 -
plan9.install | 16 ++--
plan9.sh | 4 -
4 files changed, 110 insertions(+), 110 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2019-09-24 08:37:37 UTC (rev 511622)
+++ PKGBUILD 2019-09-24 08:37:46 UTC (rev 511623)
@@ -1,97 +0,0 @@
-# Maintainer: Alexander F. Rødseth <xyproto at archlinux.org>
-# Contributor: phrakture <aaronmgriffin at gmail.com>
-# Contributor: Fazlul Shahriar <>
-# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
-
-pkgname=plan9port
-pkgver=20190619
-pkgrel=1
-pkgdesc='Ports of applications from Plan 9'
-arch=('x86_64')
-url='https://swtch.com/plan9port/'
-license=(custom)
-depends=(fuse2 libxext libxt xorg-server)
-makedepends=(gendesk fontconfig git)
-optdepends=('python2: for the codereview script')
-provides=(plan9)
-install=plan9.install
-options=(staticlibs !zipman)
-source=("git+https://github.com/9fans/plan9port.git#commit=e995a0c101863688d5f14649ae3de45a7c43789c"
- plan9.sh acme.png acme.sh)
-sha256sums=('SKIP'
- 'a8c8aee15c9dfa60d679567582e9335ae80293133b000326f3af7c630707e93c'
- 'b9046c4b7ed5e8e22bf3ea669d65ff681e616663b9743909a225884ac6fb261b'
- '9c6eb7881f7333077d701f5201f7a620214d6c5c91c11b2ea7964483214e6cb2')
-
-
-prepare() {
- # Generate a desktop shortcut for the Acme editor
- gendesk -f \
- --name Acme \
- --pkgname acme \
- --genericname Editor \
- --comment 'Editor from Plan9' \
- --categories 'Application;Development;TextEditor'
-
- cd "$pkgname"
-
- # Use _DEFAULT_SOURCE instead of _BSD_SOURCE
- grep -rl _BSD_SOURCE | xargs sed -i s':_BSD_SOURCE:_DEFAULT_SOURCE:g'
-
- # Try the Gentoo way for fixing hardcoded paths
- grep --null -l -r '/usr/local/plan9' | xargs --null sed -i "s!/usr/local/plan9!/usr/lib/plan9!g"
-
- # Stop 9l from giving an 'undefined reference error' given no arguments, ref #55640
- sed -i '1i[ "$1" == "" ] && exit 1' bin/9l
-}
-
-package() {
- cd "$pkgname"
-
- d=usr/lib
-
- ./INSTALL -b
- install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
- install -d "$pkgdir/$d"
- install -d "$pkgdir/usr/share/doc/$pkgname"
- cp -r "$srcdir/$pkgname" "$pkgdir/$d/plan9"
- cd "$pkgdir/$d/plan9"
- ./INSTALL -c -r "$pkgdir/$d/plan9"
- install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
- # Clean up
- rm -rf .hg/
- rm -f .hgignore .hgtags
- find . -name '.cvsignore' -print0 |xargs -0 rm -f
- rm -f config install.log install.sum install.txt configure Makefile INSTALL \
- LICENSE
-
- # Package text files
- for i in CHANGES CONTRIBUTORS README.md TODO; do
- install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
- rm -f $i
- done
-
- # Decompress the plan9 man pages
- for i in `find $pkgdir/$d/plan9/man -type f`; do
- if [ ${i##*.} = "gz" ]; then
- gunzip "$i"
- fi
- done
-
- # Once more
- PLAN9=/usr/lib/plan9
- grep --null -l -r "$pkgdir$PLAN9" | xargs --null sed -i "s!$pkgdir$PLAN9!${PLAN9}!g" || true
- grep --null -l -r "/build/plan9port/pkg/plan9port/$PLAN9" | xargs --null sed -i "s!/build/plan9port/pkg/plan9port/$PLAN9!${PLAN9}!g" || true
-
- # Acme
- cd "$srcdir"
- install -Dm644 acme.desktop "$pkgdir/usr/share/applications/acme.desktop"
- install -Dm755 acme.sh "$pkgdir/usr/bin/acme"
- install -Dm644 acme.png "$pkgdir/usr/share/pixmaps/acme.png"
-
- # Remove git repository
- rm -rf "$pkgdir/usr/lib/plan9/.git"
-}
-
-# vim: ts=2 sw=2 et:
Copied: plan9port/repos/community-x86_64/PKGBUILD (from rev 511622, plan9port/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2019-09-24 08:37:46 UTC (rev 511623)
@@ -0,0 +1,97 @@
+# Maintainer: Alexander F. Rødseth <xyproto at archlinux.org>
+# Contributor: phrakture <aaronmgriffin at gmail.com>
+# Contributor: Fazlul Shahriar <>
+# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
+
+pkgname=plan9port
+pkgver=20190923
+pkgrel=1
+pkgdesc='Ports of applications from Plan 9'
+arch=(x86_64)
+url='https://swtch.com/plan9port/'
+license=(custom)
+depends=(fontconfig fuse2 libxt xorg-server)
+makedepends=(gendesk git)
+optdepends=('python2: for the codereview script')
+provides=(plan9)
+install=plan9.install
+options=(staticlibs !zipman)
+source=("git+https://github.com/9fans/plan9port.git#commit=715807d706cd13bc583588477a84090fbf02e057"
+ plan9.sh acme.png acme.sh)
+sha256sums=('SKIP'
+ 'a8c8aee15c9dfa60d679567582e9335ae80293133b000326f3af7c630707e93c'
+ 'b9046c4b7ed5e8e22bf3ea669d65ff681e616663b9743909a225884ac6fb261b'
+ '9c6eb7881f7333077d701f5201f7a620214d6c5c91c11b2ea7964483214e6cb2')
+
+
+prepare() {
+ # Generate a desktop shortcut for the Acme editor
+ gendesk -f \
+ --name Acme \
+ --pkgname acme \
+ --genericname Editor \
+ --comment 'Editor from Plan9' \
+ --categories 'Application;Development;TextEditor'
+
+ cd "$pkgname"
+
+ # Use _DEFAULT_SOURCE instead of _BSD_SOURCE
+ grep -rl _BSD_SOURCE | xargs sed -i s':_BSD_SOURCE:_DEFAULT_SOURCE:g'
+
+ # Try the Gentoo way for fixing hardcoded paths
+ grep --null -l -r '/usr/local/plan9' | xargs --null sed -i "s!/usr/local/plan9!/usr/lib/plan9!g"
+
+ # Stop 9l from giving an 'undefined reference error' given no arguments, ref #55640
+ sed -i '1i[ "$1" == "" ] && exit 1' bin/9l
+}
+
+package() {
+ cd "$pkgname"
+
+ d=usr/lib
+
+ ./INSTALL -b
+ install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
+ install -d "$pkgdir/$d"
+ install -d "$pkgdir/usr/share/doc/$pkgname"
+ cp -r "$srcdir/$pkgname" "$pkgdir/$d/plan9"
+ cd "$pkgdir/$d/plan9"
+ ./INSTALL -c -r "$pkgdir/$d/plan9"
+ install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+ # Clean up
+ rm -rf .hg/
+ rm -f .hgignore .hgtags
+ find . -name '.cvsignore' -delete
+ rm -f config install.log install.sum install.txt configure Makefile INSTALL \
+ LICENSE
+
+ # Package text files
+ for i in CHANGES CONTRIBUTORS README.md TODO; do
+ install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
+ rm -f $i
+ done
+
+ # Decompress the plan9 man pages
+ for i in "$(find "$pkgdir/$d/plan9/man" -type f)"; do
+ if [ "${i##*.}" = "gz" ]; then
+ gunzip "$i"
+ fi
+ done
+
+ # Once more
+ PLAN9=/usr/lib/plan9
+ grep --null -l -r "$pkgdir$PLAN9" | xargs --null sed -i "s!$pkgdir$PLAN9!${PLAN9}!g" || true
+ grep --null -l -r "/build/plan9port/pkg/plan9port/$PLAN9" | xargs --null sed -i "s!/build/plan9port/pkg/plan9port/$PLAN9!${PLAN9}!g" || true
+
+ # Acme
+ cd "$srcdir"
+ install -Dm644 acme.desktop "$pkgdir/usr/share/applications/acme.desktop"
+ install -Dm755 acme.sh "$pkgdir/usr/bin/acme"
+ install -Dm644 acme.png "$pkgdir/usr/share/pixmaps/acme.png"
+
+ # Remove git repository
+ rm -rf "$pkgdir/usr/lib/plan9/.git"
+}
+
+# vim: ts=2 sw=2 et:
Deleted: acme.png
===================================================================
(Binary files differ)
Copied: plan9port/repos/community-x86_64/acme.png (from rev 511622, plan9port/trunk/acme.png)
===================================================================
(Binary files differ)
Deleted: acme.sh
===================================================================
--- acme.sh 2019-09-24 08:37:37 UTC (rev 511622)
+++ acme.sh 2019-09-24 08:37:46 UTC (rev 511623)
@@ -1,3 +0,0 @@
-#!/bin/sh
-. /etc/profile.d/plan9.sh
-9 acme "$@"
Copied: plan9port/repos/community-x86_64/acme.sh (from rev 511622, plan9port/trunk/acme.sh)
===================================================================
--- acme.sh (rev 0)
+++ acme.sh 2019-09-24 08:37:46 UTC (rev 511623)
@@ -0,0 +1,3 @@
+#!/bin/sh
+. /etc/profile.d/plan9.sh
+9 acme "$@"
Deleted: plan9.install
===================================================================
--- plan9.install 2019-09-24 08:37:37 UTC (rev 511622)
+++ plan9.install 2019-09-24 08:37:46 UTC (rev 511623)
@@ -1,8 +0,0 @@
-post_install() {
- echo ""
- echo "==> In order to use Plan9 specific apps, run them"
- echo " as arguments to the '9' script, i.e. '9 date'"
- echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
- echo "==> Run '9 man 1 intro | less' to begin"
- source /etc/profile.d/plan9.sh
-}
Copied: plan9port/repos/community-x86_64/plan9.install (from rev 511622, plan9port/trunk/plan9.install)
===================================================================
--- plan9.install (rev 0)
+++ plan9.install 2019-09-24 08:37:46 UTC (rev 511623)
@@ -0,0 +1,8 @@
+post_install() {
+ echo ""
+ echo "==> In order to use Plan9 specific apps, run them"
+ echo " as arguments to the '9' script, i.e. '9 date'"
+ echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
+ echo "==> Run '9 man 1 intro | less' to begin"
+ source /etc/profile.d/plan9.sh
+}
Deleted: plan9.sh
===================================================================
--- plan9.sh 2019-09-24 08:37:37 UTC (rev 511622)
+++ plan9.sh 2019-09-24 08:37:46 UTC (rev 511623)
@@ -1,2 +0,0 @@
-export PLAN9=/usr/lib/plan9
-export PATH="$PATH:$PLAN9/bin"
Copied: plan9port/repos/community-x86_64/plan9.sh (from rev 511622, plan9port/trunk/plan9.sh)
===================================================================
--- plan9.sh (rev 0)
+++ plan9.sh 2019-09-24 08:37:46 UTC (rev 511623)
@@ -0,0 +1,2 @@
+export PLAN9=/usr/lib/plan9
+export PATH="$PATH:$PLAN9/bin"
More information about the arch-commits
mailing list